
%global release_version 2

%global _ovirt_version 1.0.12.1
%global _moduledir /%{_lib}/security

Name: rhevm-guest-agent
Version: 1.0.12
Release: %{release_version}%{?dist}
Summary: RHEV-M Guest Agent
Group: Applications/System
License: ASL 2.0
URL: http://wiki.ovirt.org/wiki/Category:Ovirt_guest_agent
Source0: http://evilissimo.fedorapeople.org/releases/ovirt-guest-agent/%{version}/ovirt-guest-agent-%{_ovirt_version}.tar.bz2
BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: dbus-python
Requires: rpm-python
Requires: python-ethtool >= 0.4-1
Requires: python-simplejson
Requires: python-ctypes
Requires: udev >= 095-14.23
Requires: usermode
BuildRequires: dos2unix
Provides: %{name} = %{version}-%{release}
Obsoletes: rhev-agent


Patch1: 0001-plugins-use-rhev-m-in-authentication-s-dialogs-bz-84.patch
Patch2: 0002-agent-updated-conf-file-and-replaced-ini-file-name.patch
Patch3: 0003-agent-enable-the-usb-redirector-rhbz-848799.patch
# Patch4: 0004-Add-missing-copy-cmd-to-win-guest-agent-build-exe.ba.patch
Patch5: 0005-agent-apply-virtual-guest-tuning-profile-on-installa.patch
Patch6: 0006-agent-On-upgrade-start-ovirt-guest-agent-if-rhev-age.patch
Patch7: 0007-rhevm-guest-agent-Use-RHEV-Agent-as-service-name.patch
Patch8: 0008-agent-Configure-tuned-only-if-current-profile-is-off.patch
Patch9: 0009-Change-ovirt-guest-agent-common-to-rhevm-guest-agent.patch
# Patch10: 0010-Fix-default-logger.ini-to-contain-the-expected-strin.patch


%description
This is the RHEV-M management agent running inside the guest. The agent
interfaces with the RHEV-M manager, supplying heart-beat info as well as
run-time data from within the guest itself. The agent also accepts
control commands to be run executed within the OS (like: shutdown and
restart).

%prep
%setup -q -n ovirt-guest-agent-%{_ovirt_version}

dos2unix configurations/default-logger.ini
dos2unix configurations/default.ini
dos2unix configurations/ovirt-guest-agent.ini
dos2unix ovirt-guest-agent/win-guest-agent-build-exe.bat

%patch1 -p1
%patch2 -p1
%patch3 -p1
# patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
# patch10 -p1

%configure --without-sso

sed -i 's/rhevm-guest-agent-common/rhevm-guest-agent/' configurations/ovirt-guest-agent.conf || :
sed -i 's/rhevm-guest-agent-common/rhevm-guest-agent/' configurations/default.conf || :
sed -i 's/cp ovirt-guest-agent.conf $(DESTDIR)$(CONFDIR)/cp ..\/configurations\/ovirt-guest-agent.conf $(DESTDIR)$(CONFDIR)/' ovirt-guest-agent/Makefile.el5

%install
rm -rf %{buildroot}
pushd .
make -C ovirt-guest-agent -f Makefile.el5 install DESTDIR=%{buildroot}
popd
mkdir -p %{buildroot}%{_localstatedir}/log/ovirt-guest-agent
mkdir -p %{buildroot}%{_localstatedir}/lock/subsys/ovirt-guest-agent

mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/defaults
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/before_migration
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/before_hibernation
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/after_migration
mkdir -p %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/after_hibernation

mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent
mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d
mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/before_migration
mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/after_migration
mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/before_hibernation
mkdir -p %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/after_hibernation

install -m 755 hooks/55-flush-caches.consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/defaults/55-flush-caches
install -m 755 hooks/flush-caches %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/defaults/flush-caches

ln -sf /usr/share/ovirt-guest-agent/hooks/defaults/55-flush-caches %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/before_hibernation/55-flush-caches
ln -sf /usr/share/ovirt-guest-agent/hooks/defaults/55-flush-caches %{buildroot}%{_datadir}/ovirt-guest-agent/scripts/hooks/before_migration/55-flush-caches
ln -sf /usr/share/ovirt-guest-agent/hooks.d/before_migration/55-flush-caches %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/before_migration/55-flush-caches
ln -sf /usr/share/ovirt-guest-agent/hooks.d/before_hibernation/55-flush-caches %{buildroot}%{_sysconfdir}/ovirt-guest-agent/hooks.d/before_hibernation/55-flush-caches

install -m 644 ovirt-guest-agent/pam/ovirt-flush-caches %{buildroot}%{_sysconfdir}/pam.d/ovirt-flush-caches
install -m 644 ovirt-guest-agent/pam/ovirt-logout %{buildroot}%{_sysconfdir}/pam.d/ovirt-logout
install -m 644 ovirt-guest-agent/pam/ovirt-logout %{buildroot}%{_sysconfdir}/pam.d/ovirt-locksession

install -m 644 ovirt-guest-agent/consoleapps/ovirt-flush-caches %{buildroot}%{_sysconfdir}/security/console.apps/ovirt-flush-caches
install -m 644 ovirt-guest-agent/consoleapps/ovirt-locksession %{buildroot}%{_sysconfdir}/security/console.apps/ovirt-locksession
install -m 644 ovirt-guest-agent/consoleapps/ovirt-logout %{buildroot}%{_sysconfdir}/security/console.apps/ovirt-logout

install -m 755 ovirt-guest-agent/LockActiveSession.py %{buildroot}%{_datadir}/ovirt-guest-agent/LockActiveSession.py
install -m 755 ovirt-guest-agent/LogoutActiveUser.py %{buildroot}%{_datadir}/ovirt-guest-agent/LogoutActiveUser.py
install -m 644 ovirt-guest-agent/timezone.py %{buildroot}%{_datadir}/ovirt-guest-agent/timezone.py
install -m 644 ovirt-guest-agent/hooks.py %{buildroot}%{_datadir}/ovirt-guest-agent/hooks.py

install -m 755 scripts/ovirt-osinfo %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-osinfo

ln -sf /usr/bin/consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-shutdown
ln -sf /usr/bin/consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-hibernate
ln -sf /usr/bin/consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-locksession
ln -sf /usr/bin/consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-logout
ln -sf /usr/bin/consolehelper %{buildroot}%{_datadir}/ovirt-guest-agent/ovirt-flush-caches

mv %{buildroot}%{_datadir}/ovirt-guest-agent/diskmapper{.el5,}

%pretrans -p <lua>
--- If pid file exists
local result = posix.stat('/var/run/rhev-agent/rhev-agentd.pid')
if result then
    local file = io.open("%{RHEV_AGENT_RUNNING}", "w")
    io.close(file)
end

%posttrans
[ -e %{RHEV_AGENT_RUNNING} ] && { /bin/rm %{RHEV_AGENT_RUNNING}; \
    /sbin/service ovirt-guest-agent start; } || :

%pre
if [ "$1" -ge 1 ]; then
    # Previous version was not stopped on upgrade and it must be stopped
    # before change the user and group name.
    /sbin/service rhev-agentd status > /dev/null 2>&1 && \
        /sbin/service rhev-agentd stop > /dev/null 2>&1
fi

# The agent's user name was renamed from rhevagent to ovirtagent. So we delete
# the old user name and it will be created with the new user name.
getent passwd rhevagent > /dev/null && userdel rhevagent

getent group ovirtagent >/dev/null || groupadd -r -g 175 ovirtagent
getent passwd ovirtagent > /dev/null || \
    /usr/sbin/useradd -u 175 -g 175 -o -r ovirtagent \
    -c "oVirt Guest Agent" -d / -s /sbin/nologin
exit 0

%post
/sbin/chkconfig --add ovirt-guest-agent


%preun
if [ "$1" -eq 0 ]; then
    /sbin/service ovirt-guest-agent stop > /dev/null 2>&1
    /sbin/chkconfig --del ovirt-guest-agent

    # Send an "uninstalled" notification to vdsm.
    VIRTIO=`grep "^device" %{_sysconfdir}/ovirt-guest-agent.conf | awk '{ print $3; }'`
    if [ -w $VIRTIO ]
    then
        # Non blocking uninstalled notification
        echo -e '{"__name__": "uninstalled"}\n' | dd of=$VIRTIO \
            oflag=nonblock status=noxfer conv=nocreat 1>& /dev/null || :
    fi
fi

%postun

if [ "$1" -ge 1 ]; then
    /sbin/service ovirt-guest-agent condrestart > /dev/null 2>&1
fi

%files
%dir %attr (755,ovirtagent,ovirtagent) %{_localstatedir}/log/ovirt-guest-agent
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent

# Hook configuration directories
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent/hooks.d
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent/hooks.d/before_migration
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent/hooks.d/after_migration
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent/hooks.d/before_hibernation
%dir %attr (755,root,root) %{_sysconfdir}/ovirt-guest-agent/hooks.d/after_hibernation

# Hook installation directories
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/defaults
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/before_migration
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/after_migration
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/before_hibernation
%dir %attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/after_hibernation

%config(noreplace) %{_sysconfdir}/ovirt-guest-agent.conf

%doc AUTHORS COPYING NEWS README

# These are intentionally NOT 'noreplace' If this is modified by an user,
# this actually might break it.
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-logout
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-locksession
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-shutdown
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-hibernate
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-logout
%config(noreplace) %{_sysconfdir}/pam.d/ovirt-flush-caches
%config %attr (644,root,root) %{_sysconfdir}/udev/rules.d/55-ovirt-guest-agent.rules
%config %{_sysconfdir}/security/console.apps/ovirt-shutdown
%config %{_sysconfdir}/security/console.apps/ovirt-hibernate
%config %{_sysconfdir}/security/console.apps/ovirt-locksession
%config %{_sysconfdir}/security/console.apps/ovirt-logout
%config(noreplace) %{_sysconfdir}/security/console.apps/ovirt-flush-caches

%attr (755,root,root) %{_datadir}/ovirt-guest-agent/ovirt-guest-agent.py*

%attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/defaults/55-flush-caches
%attr (755,root,root) %{_datadir}/ovirt-guest-agent/scripts/hooks/defaults/flush-caches

%{_datadir}/ovirt-guest-agent/default.conf
%{_datadir}/ovirt-guest-agent/default-logger.conf
%{_datadir}/ovirt-guest-agent/bytesio.py*
%attr (755,root,root) %{_datadir}/ovirt-guest-agent/diskmapper


%attr (644,root,root) %{_datadir}/ovirt-guest-agent/default.conf
%attr (644,root,root) %{_datadir}/ovirt-guest-agent/default-logger.conf

%{_datadir}/ovirt-guest-agent/timezone.py*
%{_datadir}/ovirt-guest-agent/hooks.py*
%{_datadir}/ovirt-guest-agent/GuestAgentLinux2.py*
%{_datadir}/ovirt-guest-agent/OVirtAgentLogic.py*
%{_datadir}/ovirt-guest-agent/VirtIoChannel.py*

# consolehelper symlinks
%attr (755,root,root) %{_datadir}/ovirt-guest-agent/ovirt-osinfo
%{_datadir}/ovirt-guest-agent/ovirt-logout
%{_datadir}/ovirt-guest-agent/ovirt-flush-caches
%{_datadir}/ovirt-guest-agent/ovirt-locksession
%{_datadir}/ovirt-guest-agent/ovirt-shutdown
%{_datadir}/ovirt-guest-agent/ovirt-hibernate

%attr (755,root,root) %{_datadir}/ovirt-guest-agent/LockActiveSession.py*
%attr (755,root,root) %{_datadir}/ovirt-guest-agent/LogoutActiveUser.py*
%attr (755,root,root) %{_datadir}/ovirt-guest-agent/hibernate

# Symlinks for the default hooks
%config(noreplace) %{_datadir}/ovirt-guest-agent/scripts/hooks/before_hibernation/55-flush-caches
%config(noreplace) %{_datadir}/ovirt-guest-agent/scripts/hooks/before_migration/55-flush-caches
%config(noreplace) %{_sysconfdir}/ovirt-guest-agent/hooks.d/before_hibernation/55-flush-caches
%config(noreplace) %{_sysconfdir}/ovirt-guest-agent/hooks.d/before_migration/55-flush-caches

%attr (755,root,root) %{_sysconfdir}/init.d/ovirt-guest-agent

%changelog
* Wed Jun 15 2016 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.12-2
 - Update to upstream version 1.0.12.1

* Fri May 20 2016 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.12-1
 - Update to upstream version 1.0.12

* Tue Apr 05 2016 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.11-4
 - Update to upstream version 1.0.11.3
Resolves: BZ#1324062

* Thu Dec 10 2015 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.11-4
 - Update to upstream version 1.0.11.2
Resolves: BZ#1224652

* Mon Oct 19 2015 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.11-3
 - EL5 needs to depend on python-ctypes BZ#1272943
Resolves: BZ#1224652

* Tue Sep 29 2015 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.11-2
 - Update to upstream version 1.0.11.1
Resolves: BZ#1224652

* Tue Jul 21 2015 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.11-1
 - Update to upstream version 1.0.11
Resolves: BZ#1224652

* Thu Jul 31 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.10-2
- Update to upstream version 1.0.10.2
Resolves: BZ#1119294

* Thu Jul 31 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.10-1
- Update to upstream version 1.0.10
Resolves: BZ#1119293

* Wed Jun 18 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.9-4
- applications_list variable doesn't contain rhevm-guest-agent-* but
  ovirt-guest-agent-*
Resolves: BZ#1110828

* Tue May 27 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.9-3
- Fix for 'ovirt-guest-agent does not run with old config'
Resolves: BZ#1101129

* Thu May 15 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.9-2
- Added guest CPU reporting
Resolves: BZ#1063169

* Thu Apr 03 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.9-1
- Update to ovirt-guest-agent 1.0.9
Resolves: BZ#1072328

* Tue Feb 18 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.8-9
- Do not conflict with any kernel
Resolves: BZ#1048710

* Mon Jan 6 2014 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.8-8
- No longer requiring the kernel package but conflicting on kernel and
  kernel-PAE lower than required
Resolves: BZ#1048710

* Mon Dec 9 2013 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.8-7
- Fixed rhevm-guest-agent reporting
Resolves: BZ#1028006

* Wed Nov 6 2013 Vinzenz Feenstra <evilissimo@redhat.com> - 1.0.8-6
- New: Report swap usage and total swap size
Resolves: BZ#1031532

* Thu Aug 22 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.8-5
- Adding patch for replacing the string check
- Adding patch for python 2.4 syntax compatibility
Resolves: BZ#983408, BZ#1006861

* Thu Aug 22 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.8-3
- Fixed erasing of /usr/share/ovirt-guest-agent during removal (BZ#948173)
- Added required script 'LockActiveSession.py' (BZ#923775)
Resolves: BZ#948173, BZ#923775

* Mon Aug 19 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.8-2
- Updated to upstream version 1.0.8
Resolves: BZ#995465

* Tue Jun 11 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-9
- Solved: rhevm-guest-agent rpm causes installation failures in kickstart files
Resolves: BZ#975906

* Thu Apr 25 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-8
- Solved: Agent does not run when upgrading from rhev-agent to
  rhevm-guest-agent
Resolves: BZ#923812

* Fri Apr 19 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-5
- nonblocking uninstall message
Resolves: BZ#929387

* Fri Apr 19 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-4
- agent: Perform string sanitization on messages
Resolves: BZ#947014

* Tue Mar  5 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-3
- datadir as default home for the ovirtagent user
  Solves the issue with starting the service when polyinstantiated
  namespaces are used on the system.
  Following the Fedora guideline:
    http://fedoraproject.org/wiki/Packaging:UsersAndGroups
Resolves: BZ#883124

* Wed Jan 23 2013 Vinzenz Feenstra <vfeenstr@redhat.com> - 1.0.7-2
- Fix for "Only first IP on nic is reported"
- Fix for "vdsClient reports still old data after upgrade"
Resolves: BZ#753121, BZ#882268

* Wed Dec 26 2012 Gal Hammer <ghammer@redhat.com> - 1.0.7-1
- reset user rights on virtio-channel during package removal.
- unification of line endings to unix.
- fixed support for reporting devices with only ipv6.
- fixed pep8 errors in the linux guest agent.
- upstream build system is now taking care of folder creation.
- upstream build system is now taking care of systemd units installation.
Resolves: BZ#890275

* Sun Dec  2 2012 Gal Hammer <ghammer@redhat.com> - 1.0.4-4
- don't fail installation if old user (rhevagent) exists.
- updated conf file to include rhevm-guest-agent.
- obsoletes the rhev-agent package.
Resolves: BZ#881968 BZ#881970 BZ#881971

* Tue May  8 2012 Gal Hammer <ghammer@redhat.com> - 1.0.4-2
- replaced "with" usage with a python 2.4 compatible way.
- added files to support RHEL-5 distribution.
- added more detailed memory statistics.
- report agent old package name.
- package was renamed to rhevm-guest-agent in RHEL distribution.
- included a gpl-v2 copying file.
- added a support for RHEL distribution.
- added a support to hibernate (s4) command.
- renamed user name to ovirtguest.
- reset version numbering after changing the package name.
Resolves: BZ#803503

* Tue Dec 13 2011 Gal Hammer <ghammer@redhat.com> - 2.3.17-1
- do no change source code files in the "post" section.
Resolves: BZ#759843

* Tue Nov 15 2011 Gal Hammer <ghammer@redhat.com> - 2.3.16-3
- fixed symblic links removal on package upgrade.
Resolves: BZ#753074

* Thu Oct  6 2011 Gal Hammer <ghammer@redhat.com> - 2.3.16-1
- added xorg-x11-drv-qxl to the reported applications.
- fixed service name in service's status report.
Resolves: BZ#742766 BZ#743267

* Tue Sep 27 2011 Gal Hammer <ghammer@redhat.com> - 2.3.15-1
- fixed disk usage report when mount point include spaces.
- added a minimum version for python-ethtool.
- added a requirement for python-simplejson.
Resolves: BZ#736426

* Thu Sep 22 2011 Gal Hammer <ghammer@redhat.com> - 2.3.14-1
- added a new 'echo' command to support testing.
Resolves: BZ#736426

* Thu Sep 15 2011 Gal Hammer <ghammer@redhat.com> - 2.3.13-1
- report new network interaces information (ipv4, ipv6 and
  mac address).
- added disks usage report.
- a new json-based protocol with the vdsm.
Resolves: BZ#729252 BZ#736426

* Mon Aug  8 2011 Gal Hammer <ghammer@redhat.com> - 2.3.12-1
- replaced password masking with a fixed-length string.
Resolves: BZ#727506

* Thu Aug  4 2011 Gal Hammer <ghammer@redhat.com> - 2.3.11-1
- send an 'uninstalled' notification to vdsm
- mask the user's password in the credentials block
Resolves: BZ#727647 BZ#727506

* Mon Jul 25 2011 Gal Hammer <ghammer@redhat.com> - 2.3.10-1
- various fixes after failing the errata's rpmdiff.
Resolves: BZ#720144

* Thu Jun 16 2011 Gal Hammer <ghammer@redhat.com> - 2.3.9-1
- read report rate values from configuration file.
- replaced executing privilege commands from sudo to
  consolehelper.
Resolves: BZ#713079 BZ#632959

* Tue Jun 14 2011 Gal Hammer <ghammer@redhat.com> - 2.3.8-1
- execute the agent with a non-root user.
- changed the shutdown timeout value to work in minutes.
Resolves: BZ#632959 BZ#711428

* Wed May 25 2011 Gal Hammer <ghammer@redhat.com> - 2.3.7-1
- show only network interfaces that are up and running.
Resolves: BZ#704845

* Thu Mar 10 2011 Gal Hammer <ghammer@redhat.com> - 2.3.4-1
- added some sleep-ing to init script in order to give udev
  some time to create the symbolic links.
- changed the kernel version condition.
Resolves: BZ#676625 BZ#681527

* Wed Mar 2 2011 Gal Hammer <ghammer@redhat.com> - 2.3.3-1
- removed unused file (rhevcredserver) from rhel-5 build.
- added udev and kernel minimum version requirment.
- fixed pid file location in spec file.
Resolves: BZ#681524 BZ#681527 BZ#681533

* Tue Mar 1 2011 Gal Hammer <ghammer@redhat.com> - 2.3.2-1
- updated the agent's makefile to work with auto-tools.
- added sub packages to support the single-sign-on feature.
- added -h parameter to shutdown command in order to halt the vm
  after shutdown.
- converted configuration file to have unix-style line ending.
- added redhat-rpm-config to build requirements in order to
  include *.pyc and *.pyo in the rpm file.
Resolves: BZ#680107 BZ#661713 BZ#679470 BZ#679451

* Wed Jan 19 2011 Gal Hammer <ghammer@redhat.com> - 2.3-7
- fixed files' mode to include execution flag.
Resolves: BZ#670476

* Mon Jan 17 2011 Gal Hammer <ghammer@redhat.com> - 2.3-6
- fixed the way the exit code was returned. the script always
  return 0 (success) because the main program ended and errors
  from the child process were lost.
Resolves: BZ#658092

* Thu Dec 23 2010 Gal Hammer <ghammer@redhat.com> - 2.3-5
- added description to startup/shutdown script in order to support
  chkconfig.
- a temporary fix to the 100% cpu usage when the vdsm doesn't
  listen to the virtio-serial.
Resolves: BZ#639702

* Sun Dec 19 2010 Gal Hammer <ghammer@redhat.com> - 2.3-4
- BZ#641886: lock command now handle both gnome and kde.
Resolves: BZ#641886

* Tue Dec 07 2010 Barak Azulay <bazulay@redhat.com> - 2.3-3
- BZ#660343 load virtio_console module before starting the daemon.
- BZ#660231 register daemon for startup.
Resolves: BZ#660343 BZ#660231

* Sun Dec 05 2010 Barak Azulay <bazulay@redhat.com> - 2.3-2
- initial build for RHEL-6
- works over vioserial
- Agent reports only heartbeats, IPs, app list
- performs: shutdown & lock (the lock works only on gnome - when
  ConsoleKit & gnome-screensaver is installed)
Resolves: BZ#613059

* Fri Aug 27 2010 Gal Hammer <ghammer@redhat.com> - 2.3-1
- Initial build.
